org.sonatype.maven.polyglot

## Class PolyglotRealmDelegate

- java.lang.Object
- - org.sonatype.maven.polyglot.PolyglotRealmDelegate

All Implemented Interfaces:
  org.apache.maven.classrealm.ClassRealmManagerDelegate

    @Component(role=org.apache.maven.classrealm.ClassRealmManagerDelegate.class,
               hint="polyglot")
    public class PolyglotRealmDelegate
    extends java.lang.Object
    implements org.apache.maven.classrealm.ClassRealmManagerDelegate

Additional class realm setup required for using `org.sonatype.maven.polyglot.execute` bits from plugins.

Since:
  0.7
Author:
  Jason Dillon

### Constructor Summary

Constructors
Constructor and Description
`PolyglotRealmDelegate()`

### Method Summary

Methods
`void` `setupRealm(org.codehaus.plexus.classworlds.realm.ClassRealm realm, org.apache.maven.classrealm.ClassRealmRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolyglotRealmDelegate

    public PolyglotRealmDelegate()

### Method Detail

#### setupRealm

    public void setupRealm(org.codehaus.plexus.classworlds.realm.ClassRealm realm,
                  org.apache.maven.classrealm.ClassRealmRequest request)

Specified by:
  `setupRealm` in interface `org.apache.maven.classrealm.ClassRealmManagerDelegate`